Index: template.offline/rd_file
===================================================================
--- template.offline/rd_file	(revision 0)
+++ template.offline/rd_file	(revision 0)
@@ -0,0 +1,15 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html lang="ja-JP">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=<%=h charset() %>">
+  <meta http-equiv="Content-Language" content="ja-JP">
+  <link rel="stylesheet" type="text/css" href="<%=h css_url() %>">
+</head>
+<body>
+<% 
+headline_init 
+headline_push
+headline_push
+%>
+<%= compile_rd(@entry) %>
+</body>
\ No newline at end of file
Index: tools/bc-tohtml.rb
===================================================================
--- tools/bc-tohtml.rb	(revision 2249)
+++ tools/bc-tohtml.rb	(working copy)
@@ -24,7 +24,7 @@
 def main
   templatedir = srcdir_root() + 'template.offline'
   target = nil
-  baseurl = '.'
+  baseurl = 'file://' + srcdir_root
   parser = OptionParser.new
   parser.banner = "Usage: #{File.basename($0, '.*')} rdfile"
   parser.on('--target=NAME', 'Compile NAME to HTML.') {|name|
@@ -52,14 +52,18 @@
     exit 1
   end
 
-  lib = BitClust::RRDParser.parse_stdlib_file(ARGV[0])
-  entry = target ? lookup(lib, target) : lib
   manager = BitClust::ScreenManager.new(
-    :templatedir => templatedir,
-    :base_url => baseurl,
-    :cgi_url => baseurl,
-    :default_encoding => 'euc-jp')
-  puts manager.entry_screen(entry).body
+                                        :templatedir => templatedir,
+                                        :base_url => baseurl,
+                                        :cgi_url => baseurl,
+                                        :default_encoding => 'euc-jp')
+  begin
+    lib = BitClust::RRDParser.parse_stdlib_file(ARGV[0])
+    entry = target ? lookup(lib, target) : lib
+    puts manager.entry_screen(entry).body
+  rescue BitClust::ParseError
+    puts manager.rd_file_screen(ARGF.read).body
+  end
 rescue BitClust::WriterError => err
   $stderr.puts err.message
   exit 1
Index: lib/bitclust/screen.rb
===================================================================
--- lib/bitclust/screen.rb	(revision 2249)
+++ lib/bitclust/screen.rb	(working copy)
@@ -54,6 +54,10 @@
       new_screen(FunctionIndexScreen, fs)
     end
 
+    def rd_file_screen(s)
+      new_screen(RDFileScreen, s)
+    end
+      
     private
 
     def new_screen(c, *args)
@@ -330,4 +334,19 @@
     end
   end
 
+  class RDFileScreen < TemplateScreen
+    def initialize(u, t, e, entry)
+      super u, t, e
+      @entry = entry
+    end
+
+    def encoding
+      default_encoding()
+    end
+
+    alias charset encoding
+    def body
+      run_template('rd_file')
+    end
+  end
 end
